Bug 475072 - vim set to utf-8 does not display polish characters
vim set to utf-8 does not display polish characters
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 06:46 EST by lejeczek
Modified: 2008-12-08 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 17:55:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2008-12-07 06:46:06 EST
Description of problem:
vim has problem with polish (ogonki) characters when gnome terminal set to UTF-8

Version-Release number of selected component (if applicable):

VIM - Vi IMproved 7.2 (2008 Aug 9, compiled Oct 21 2008 06:46:33)
Included patches: 1-25


How reproducible:
just type it in, 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
~E~Y~[~Gó~Bżź~D
less interprets it incorrectly as binary file: <85><99><9B><87>ó<82>żź<84>

Expected results:
and cat on this file is just fine: ąęśćółżźń

Additional info:
Comment 1 Karsten Hopp 2008-12-08 09:21:27 EST
can you reproduce this in KDE's konsole or in a plain xterm ? It works here with those two terminals when I paste your text.
Comment 2 lejeczek 2008-12-08 17:55:30 EST
hi,
sorry, got it figured out that setting locale was the problem
setting locale to *.utf8 lets vim read and use polish characters

Note You need to log in before you can comment on or make changes to this bug.